### Enumeration

# Gtk ConstraintStrength

#### Declaration

    enum Gtk.ConstraintStrength

#### Description [src]

The strength of a constraint, expressed as a symbolic constant.

The strength of a `GtkConstraint` can be expressed with any positive integer; the values of this enumeration can be used for readability.

#### Members

Name | Description
--- | ---
`GTK_CONSTRAINT_STRENGTH_REQUIRED` | The constraint is required towards solving the layout.
`GTK_CONSTRAINT_STRENGTH_STRONG` | A strong constraint.
`GTK_CONSTRAINT_STRENGTH_MEDIUM` | A medium constraint.
`GTK_CONSTRAINT_STRENGTH_WEAK` | A weak constraint.